| Opcode           | Instruction      | Op/En | 64-bit Mode | Compat/Leg Mode | Description                                           |
| ---------------- | ---------------- | ----- | ----------- | --------------- | ----------------------------------------------------- |
| 14 ib            | ADC AL, imm8     | I     | Valid       | Valid           | Add with carry imm8 to AL.                            |
| 15 iw            | ADC AX, imm16    | I     | Valid       | Valid           | Add with carry imm16 to AX.                           |
| 15 id            | ADC EAX, imm32   | I     | Valid       | Valid           | Add with carry imm32 to EAX.                          |
| REX.W + 15 id    | ADC RAX, imm32   | I     | Valid       | N.E.            | Add with carry imm32 sign extended to 64-bits to RAX. |
| 80 /2 ib         | ADC r/m8, imm8   | MI    | Valid       | Valid           | Add with carry imm8 to r/m8.                          |
| REX + 80 /2 ib   | ADC r/m8\*, imm8 | MI    | Valid       | N.E.            | Add with carry imm8 to r/m8.                          |
| 81 /2 iw         | ADC r/m16, imm16 | MI    | Valid       | Valid           | Add with carry imm16 to r/m16.                        |
| 81 /2 id         | ADC r/m32, imm32 | MI    | Valid       | Valid           | Add with CF imm32 to r/m32.                           |
| REX.W + 81 /2 id | ADC r/m64, imm32 | MI    | Valid       | N.E.            | Add with CF imm32 sign extended to 64-bits to r/m64.  |
| 83 /2 ib         | ADC r/m16, imm8  | MI    | Valid       | Valid           | Add with CF sign-extended imm8 to r/m16.              |
| 83 /2 ib         | ADC r/m32, imm8  | MI    | Valid       | Valid           | Add with CF sign-extended imm8 into r/m32.            |
| REX.W + 83 /2 ib | ADC r/m64, imm8  | MI    | Valid       | N.E.            | Add with CF sign-extended imm8 into r/m64.            |
| 10 /r            | ADC r/m8, r8     | MR    | Valid       | Valid           | Add with carry byte register to r/m8.                 |
| REX + 10 /r      | ADC r/m8\*, r8\* | MR    | Valid       | N.E.            | Add with carry byte register to r/m64.                |
| 11 /r            | ADC r/m16, r16   | MR    | Valid       | Valid           | Add with carry r16 to r/m16.                          |
| 11 /r            | ADC r/m32, r32   | MR    | Valid       | Valid           | Add with CF r32 to r/m32.                             |
| REX.W + 11 /r    | ADC r/m64, r64   | MR    | Valid       | N.E.            | Add with CF r64 to r/m64.                             |
| 12 /r            | ADC r8, r/m8     | RM    | Valid       | Valid           | Add with carry r/m8 to byte register.                 |
| REX + 12 /r      | ADC r8\*, r/m8\* | RM    | Valid       | N.E.            | Add with carry r/m64 to byte register.                |
| 13 /r            | ADC r16, r/m16   | RM    | Valid       | Valid           | Add with carry r/m16 to r16.                          |
| 13 /r            | ADC r32, r/m32   | RM    | Valid       | Valid           | Add with CF r/m32 to r32.                             |
| REX.W + 13 /r    | ADC r64, r/m64   | RM    | Valid       | N.E.            | Add with CF r/m64 to r64.                             |

> \*In 64-bit mode, r/m8 can not be encoded to access the following byte registers if a REX prefix is used: AH, BH, CH, DH.